Create social post
POST
/api/v1/content/social-posts
const url = 'https://api.ultimateteam.ai/api/v1/content/social-posts';const options = { method: 'POST', headers: {'X-API-Key': '<X-API-Key>', 'Content-Type': 'application/json'}, body: '{"calendar_entry_id":"example","content":"example","hashtags":["example"],"platform":"example","scheduled_for":"2026-04-15T12:00:00Z"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.ultimateteam.ai/api/v1/content/social-posts \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <X-API-Key>' \ --data '{ "calendar_entry_id": "example", "content": "example", "hashtags": [ "example" ], "platform": "example", "scheduled_for": "2026-04-15T12:00:00Z" }'Create a new social media post.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
SocialPostCreate
Request body for creating a social post.
object
Examplegenerated
{ "calendar_entry_id": "example", "content": "example", "hashtags": [ "example" ], "platform": "example", "scheduled_for": "2026-04-15T12:00:00Z"}Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
SocialPostResponse
Response body for a single social post.
object
character_count
Character Count
integer
content
required
Content
string
created_at
required
Created At
string format: date-time
hashtags
Hashtags
Array
id
required
Id
string
media_urls
Media Urls
Array
performance_metrics
Performance Metrics
object
key
additional properties
any
platform
required
Platform
string
status
required
Status
string
tenant_id
required
Tenant Id
string
updated_at
required
Updated At
string format: date-time
Example
{ "character_count": 0}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}